<template>
  <div>

    <el-date-picker
      @change="triggerChange"
      v-model="propsDateValue"
      type="datetime"
      placeholder="请选择日期时间"
      default-time="00:00:00"
      value-format="yyyy-MM-dd HH:mm:ss">
    </el-date-picker>

  </div>
</template>

<script>
export default {
  name: "page",
  props:['propsDateValue'],
  data() {
    return {
    };
  },
  created(){
  },
  computed: {
  },
  mounted(){
  },
  methods: {
    triggerChange(val){
      this.$emit('onChangeDate',{dateValue:val})
    }
  },

  watch:{
  }
}
</script>

<style scoped>
</style>
